package com.yunfeiyun.agmp.fms.mapper;

import com.yunfeiyun.agmp.fms.domain.FmsCalarm;

import java.util.List;


/**
 * 病虫虫害Mapper接口
 * 
 * @author 杨晓辉
 * @date 2023-06-14
 */
public interface FmsCalarmMapper 
{
    /**
     * 查询病虫虫害
     * 
     * @param calarmId 病虫虫害主键
     * @return 病虫虫害
     */
    public FmsCalarm selectFmsCalarmByCalarmId(String calarmId);

    /**
     * 查询病虫虫害列表
     * 
     * @param fmsCalarm 病虫虫害
     * @return 病虫虫害集合
     */
    public List<FmsCalarm> selectFmsCalarmList(FmsCalarm fmsCalarm);

    /**
     * 新增病虫虫害
     * 
     * @param fmsCalarm 病虫虫害
     * @return 结果
     */
    public int insertFmsCalarm(FmsCalarm fmsCalarm);

    /**
     * 修改病虫虫害
     * 
     * @param fmsCalarm 病虫虫害
     * @return 结果
     */
    public int updateFmsCalarm(FmsCalarm fmsCalarm);

    /**
     * 删除病虫虫害
     * 
     * @param calarmId 病虫虫害主键
     * @return 结果
     */
    public int deleteFmsCalarmByCalarmId(String calarmId);

    /**
     * 批量删除病虫虫害
     * 
     * @param calarmIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFmsCalarmByCalarmIds(String[] calarmIds);
}
